<div class="card shadow mb-4">
    <div class="card-header">
        <a [routerLink]="['/erp']" class="mr-2"><i class="fas fa-backward"></i> </a>
        <a [routerLink]="['/erp']">erp</a> / view-erp / {{erp.erp_title}}
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-header tabs-card-header">
        <ul class="nav nav-tabs" id="myTab" role="tablist">
            <li class="nav-item" *ngIf="userDesignation != 'Dispatch Head'">
                <a class="nav-link active" id="home-tab" data-toggle="tab" href="#general" role="tab"
                    aria-controls="home" aria-selected="true">General</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" [ngClass]="{'active': userDesignation == 'Dispatch Head'}" id="requirements-tab"
                    data-toggle="tab" href="#material_requirement" role="tab" aria-controls="requirements"
                    aria-selected="false">Material Requirement</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="requirements-tab" data-toggle="tab" href="#trim_requirement" role="tab"
                    aria-controls="requirements" aria-selected="false">Trim Requirement</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" id="requirements-tab" data-toggle="tab" href="#fabric_requirement" role="tab"
                    aria-controls="requirements" aria-selected="false">Fabric Requirement</a>
            </li>
            <!--<li class="nav-item" *ngIf="userDesignation != 'Dispatch Head'">
                <a class="nav-link" id="requirements-tab" data-toggle="tab" href="#delivery_schedules" role="tab"
                    aria-controls="requirements" aria-selected="false">Delivery Schedules</a>
            </li>-->
        </ul>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="tab-content profile-tab" id="myTabContent">
                    <div *ngIf="userDesignation != 'Dispatch Head'" class="tab-pane fade show active" id="general"
                        role="tabpanel" aria-labelledby="home-tab">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="profile-head">
                                    <!--<p class="proile-rating">RANKINGS : <span>8/10</span></p>-->
                                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                                        <li class="nav-item">
                                            <a class="nav-link active" id="home-tab" data-toggle="tab" href="#erp"
                                                role="tab" aria-controls="home" aria-selected="true">ERP Information</a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-link" id="requirements-tab" data-toggle="tab" href="#buyer"
                                                role="tab" aria-controls="requirements" aria-selected="false">Buyer
                                                Information</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="requirements-tab" data-toggle="tab" href="#terms"
                                                role="tab" aria-controls="trim_requirements"
                                                aria-selected="false">Terms</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="tab-content profile-tab" id="myTabContent">
                                    <div class="tab-pane fade show active" id="erp" role="tabpanel"
                                        aria-labelledby="home-tab">
                                        <div class="row" *ngIf="erp">
                                            <div class="col-md-6">
                                                <table class="table table-bordered" id="dataTable" width="100%"
                                                    cellspacing="0">
                                                    <tr>
                                                        <td>Title</td>
                                                        <td>{{erp.erp_title}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Purchase Order</td>
                                                        <td>{{erp.order_title}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Style</td>
                                                        <td>{{erp.style_name}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Quantity</td>
                                                        <td>{{erp.quantity}}</td>
                                                    </tr>
                                                </table>
                                            </div>
                                            <div class="col-md-6">
                                                <table class="table table-bordered" id="dataTable" width="100%"
                                                    cellspacing="0">
                                                    <tr>
                                                        <td>Rate</td>
                                                        <td>{{erp.rate}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Currency</td>
                                                        <td>{{erp.currency}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Wash Type</td>
                                                        <td>{{erp.wash_type}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Status</td>
                                                        <td>{{erp.status}}</td>
                                                    </tr>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="buyer" role="tabpanel" aria-labelledby="profile-tab">
                                        <div class="row">
                                            <div class="col-md-2 col-sm-2">
                                                <label>Buyer Name</label>
                                            </div>
                                            <div class="col-md-8 col-sm-8">
                                                <p>: {{erp.full_name}}</p>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-2 col-sm-2">
                                                <label>Buyer Email</label>
                                            </div>
                                            <div class="col-md-8 col-sm-8">
                                                <p>: {{erp.email}}</p>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-2 col-sm-2">
                                                <label>Buyer Phone</label>
                                            </div>
                                            <div class="col-md-8 col-sm-8">
                                                <p>: {{erp.phone}}</p>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-2 col-sm-2">
                                                <label>Buyer Address</label>
                                            </div>
                                            <div class="col-md-8 col-sm-8">
                                                <p>: {{erp.address}}, {{erp.city}}, {{erp.country}}, {{erp.zip}}</p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="terms" role="tabpanel" aria-labelledby="profile-tab">
                                        <div class="row">
                                            <div class="col-md-3">
                                                <label>Delivery Terms</label>
                                            </div>
                                            <div class="col-md-8">
                                                <p>: {{erp.delivery_terms}}</p>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-3">
                                                <label>Payment Terms</label>
                                            </div>
                                            <div class="col-md-8">
                                                <p>: {{erp.payment_terms}}</p>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="tab-pane fade" [ngClass]="{'show active': userDesignation == 'Dispatch Head'}"
                        id="material_requirement" role="tabpanel" aria-labelledby="home-tab">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="profile-head">
                                    <!--<p class="proile-rating">RANKINGS : <span>8/10</span></p>-->
                                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                                        <li class="nav-item">
                                            <a class="nav-link active" id="home-tab" data-toggle="tab"
                                                href="#top_requirement" role="tab" aria-controls="home"
                                                aria-selected="true">Top Requirement</a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-link" id="requirements-tab" data-toggle="tab"
                                                href="#bottom_requirement" role="tab" aria-controls="requirements"
                                                aria-selected="false">Bottom Requirement</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="tab-content profile-tab" id="myTabContent" *ngIf="sizing_type">
                                    <div class="tab-pane fade show active" id="top_requirement" role="tabpanel"
                                        aria-labelledby="home-tab">
                                        <app-top-requirement [erp_id]="erp_id" [sizing_type]="sizing_type"></app-top-requirement>
                                    </div>
                                    <div class="tab-pane fade" id="bottom_requirement" role="tabpanel"
                                        aria-labelledby="profile-tab">
                                        <app-bottom-requirement [erp_id]="erp_id" [sizing_type]="sizing_type"></app-bottom-requirement>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="tab-pane fade" id="trim_requirement" role="tabpanel" aria-labelledby="home-tab" *ngIf="erp">
                        <app-trim-requirement [erp_id]="erp_id" ></app-trim-requirement>
                    </div>

                    <div class="tab-pane fade" id="fabric_requirement" role="tabpanel" aria-labelledby="home-tab" *ngIf="erp">
                        <app-fabric-requirement [erp_id]="erp_id" ></app-fabric-requirement>
                    </div>

                    <!--<div *ngIf="userDesignation != 'Dispatch Head'" class="tab-pane fade" id="delivery_schedules" role="tabpanel" aria-labelledby="home-tab">
                        <app-delivery-schedule [erp_id]="erp_id"></app-delivery-schedule>
                    </div> -->
                </div>
            </div>
        </div>
    </div>
</div>